#ifndef DOMAIN_FUNCTION_SIGNATURE_H
#define DOMAIN_FUNCTION_SIGNATURE_H

#include<functional>
#include "value.h"

namespace domain {

typedef std::function<bool (std::vector<Value>)> FunctionCallback;

struct FunctionSignature {
    std::string name;
    std::vector<Value::ValueType> params;

    FunctionSignature(std::string name, std::vector<Value::ValueType> params): name(name), params(params) {}
};

} // namespace domain

#endif // DOMAIN_FUNCTIONSIGNATURE_H
